# send_files.tcl -  Functions to bundle up files and send to a web server
#
# Copyright 2006, Tony Aiuto
#
# Author: Tony Aiuto, tony.aiuto@gmail.com


package require http




proc UploadToFile { server dir filename contents } {

	set url "$server/bin/upfile?dir=$dir&filename=$filename"

	# ::http::geturl $url -timeout $mytimeout -authorization "$AUTHORIZATION"

	set req [::http::geturl $url -timeout 10000 -query $contents]

	if { [::http::error $req] != "" } {
		error [::http::error $page]
        }
	set response [::http::data $req]
	# puts $response
	return 0
}


proc UploadFile { server dir filename datafile } {
	set fid [open $datafile "r"]
	set fdata [read $fid]
	close $fid
	UploadToFile $server $dir $filename "$fdata"
}


# UploadToFile "http://gw.aiu.to" pdf test_midDE.shtml "booble my dongle"

# UploadFile "http://gw.aiu.to" pdf test_midDE.html test_midDE.shtml
